package com.sundot.airport.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 状态标签枚举
 */
@Getter
@AllArgsConstructor
public enum LedgerStatusLabelEnum {

    EMERGENCY_INTERVENTION("1", "紧急干预"),
    COMMENDATION_AND_MOTIVATION("2", "表彰激励"),
    REGULAR_COACHING("3", "常规辅导");

    private final String code;
    private final String desc;

    public static LedgerStatusLabelEnum getByCode(String code) {
        for (LedgerStatusLabelEnum itemEnum : values()) {
            if (itemEnum.getCode().equals(code)) {
                return itemEnum;
            }
        }
        return null;
    }

}
